# HG changeset patch
# Node ID 4796273ea509ab7fe72c14139037c94ec6e9da51
# Parent  0ff905ef6259f5a0b56816d164a5ff53591885b7
diff --git a/libpurple/purpleproxyinfo.c b/libpurple/purpleproxyinfo.c
--- a/libpurple/purpleproxyinfo.c
+++ b/libpurple/purpleproxyinfo.c
@@ -25,23 +25,23 @@
 #include "purpleenums.h"
 
 struct _PurpleProxyInfo {
-    GObject parent;
+	GObject parent;
 
-    PurpleProxyType proxy_type;
-    gchar *hostname;
-    gint port;
-    gchar *username;
-    gchar *password;
+	PurpleProxyType proxy_type;
+	char *hostname;
+	int port;
+	char *username;
+	char *password;
 };
 
 enum {
-    PROP_0,
-    PROP_PROXY_TYPE,
-    PROP_HOSTNAME,
-    PROP_PORT,
-    PROP_USERNAME,
-    PROP_PASSWORD,
-    N_PROPERTIES,
+	PROP_0,
+	PROP_PROXY_TYPE,
+	PROP_HOSTNAME,
+	PROP_PORT,
+	PROP_USERNAME,
+	PROP_PASSWORD,
+	N_PROPERTIES,
 };
 static GParamSpec *properties[N_PROPERTIES] = {NULL, };
 
@@ -54,67 +54,67 @@ static void
 purple_proxy_info_get_property(GObject *obj, guint param_id, GValue *value,
                                GParamSpec *pspec)
 {
-    PurpleProxyInfo *info = PURPLE_PROXY_INFO(obj);
+	PurpleProxyInfo *info = PURPLE_PROXY_INFO(obj);
 
-    switch(param_id) {
-        case PROP_PROXY_TYPE:
-            g_value_set_enum(value, purple_proxy_info_get_proxy_type(info));
-            break;
-        case PROP_HOSTNAME:
-            g_value_set_string(value, purple_proxy_info_get_hostname(info));
-            break;
-        case PROP_PORT:
-            g_value_set_int(value, purple_proxy_info_get_port(info));
-            break;
-        case PROP_USERNAME:
-            g_value_set_string(value, purple_proxy_info_get_username(info));
-            break;
-        case PROP_PASSWORD:
-            g_value_set_string(value, purple_proxy_info_get_password(info));
-            break;
-        default:
-            G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
-            break;
-    }
+	switch(param_id) {
+	case PROP_PROXY_TYPE:
+		g_value_set_enum(value, purple_proxy_info_get_proxy_type(info));
+		break;
+	case PROP_HOSTNAME:
+		g_value_set_string(value, purple_proxy_info_get_hostname(info));
+		break;
+	case PROP_PORT:
+		g_value_set_int(value, purple_proxy_info_get_port(info));
+		break;
+	case PROP_USERNAME:
+		g_value_set_string(value, purple_proxy_info_get_username(info));
+		break;
+	case PROP_PASSWORD:
+		g_value_set_string(value, purple_proxy_info_get_password(info));
+		break;
+	default:
+		G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
+		break;
+	}
 }
 
 static void
 purple_proxy_info_set_property(GObject *obj, guint param_id,
                                const GValue *value, GParamSpec *pspec)
 {
-    PurpleProxyInfo *info = PURPLE_PROXY_INFO(obj);
+	PurpleProxyInfo *info = PURPLE_PROXY_INFO(obj);
 
-    switch(param_id) {
-        case PROP_PROXY_TYPE:
-            purple_proxy_info_set_proxy_type(info, g_value_get_enum(value));
-            break;
-        case PROP_HOSTNAME:
-            purple_proxy_info_set_hostname(info, g_value_get_string(value));
-            break;
-        case PROP_PORT:
-            purple_proxy_info_set_port(info, g_value_get_int(value));
-            break;
-        case PROP_USERNAME:
-            purple_proxy_info_set_username(info, g_value_get_string(value));
-            break;
-        case PROP_PASSWORD:
-            purple_proxy_info_set_password(info, g_value_get_string(value));
-            break;
-        default:
-            G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
-            break;
-    }
+	switch(param_id) {
+	case PROP_PROXY_TYPE:
+		purple_proxy_info_set_proxy_type(info, g_value_get_enum(value));
+		break;
+	case PROP_HOSTNAME:
+		purple_proxy_info_set_hostname(info, g_value_get_string(value));
+		break;
+	case PROP_PORT:
+		purple_proxy_info_set_port(info, g_value_get_int(value));
+		break;
+	case PROP_USERNAME:
+		purple_proxy_info_set_username(info, g_value_get_string(value));
+		break;
+	case PROP_PASSWORD:
+		purple_proxy_info_set_password(info, g_value_get_string(value));
+		break;
+	default:
+		G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
+		break;
+	}
 }
 
 static void
 purple_proxy_info_finalize(GObject *obj) {
-    PurpleProxyInfo *info = PURPLE_PROXY_INFO(obj);
+	PurpleProxyInfo *info = PURPLE_PROXY_INFO(obj);
 
-    g_free(info->hostname);
-    g_free(info->username);
-    g_free(info->password);
+	g_free(info->hostname);
+	g_free(info->username);
+	g_free(info->password);
 
-    G_OBJECT_CLASS(purple_proxy_info_parent_class)->finalize(obj);
+	G_OBJECT_CLASS(purple_proxy_info_parent_class)->finalize(obj);
 }
 
 static void
@@ -199,87 +199,87 @@ purple_proxy_info_class_init(PurpleProxy
  *****************************************************************************/
 PurpleProxyInfo *
 purple_proxy_info_new(void) {
-    return g_object_new(PURPLE_TYPE_PROXY_INFO, NULL);
+	return g_object_new(PURPLE_TYPE_PROXY_INFO, NULL);
 }
 
 void
 purple_proxy_info_set_proxy_type(PurpleProxyInfo *info,
                                  PurpleProxyType proxy_type)
 {
-    g_return_if_fail(PURPLE_IS_PROXY_INFO(info));
+	g_return_if_fail(PURPLE_IS_PROXY_INFO(info));
 
-    info->proxy_type = proxy_type;
+	info->proxy_type = proxy_type;
 
-    g_object_notify_by_pspec(G_OBJECT(info), properties[PROP_PROXY_TYPE]);
+	g_object_notify_by_pspec(G_OBJECT(info), properties[PROP_PROXY_TYPE]);
 }
 
 PurpleProxyType
 purple_proxy_info_get_proxy_type(PurpleProxyInfo *info) {
-    g_return_val_if_fail(PURPLE_IS_PROXY_INFO(info), PURPLE_PROXY_TYPE_NONE);
+	g_return_val_if_fail(PURPLE_IS_PROXY_INFO(info), PURPLE_PROXY_TYPE_NONE);
 
-    return info->proxy_type;
+	return info->proxy_type;
 }
 
 void
-purple_proxy_info_set_hostname(PurpleProxyInfo *info, const gchar *hostname) {
-    g_return_if_fail(PURPLE_IS_PROXY_INFO(info));
+purple_proxy_info_set_hostname(PurpleProxyInfo *info, const char *hostname) {
+	g_return_if_fail(PURPLE_IS_PROXY_INFO(info));
 
-    if(g_set_str(&info->hostname, hostname)) {
+	if(g_set_str(&info->hostname, hostname)) {
 		g_object_notify_by_pspec(G_OBJECT(info), properties[PROP_HOSTNAME]);
 	}
 }
 
-const gchar *
+const char *
 purple_proxy_info_get_hostname(PurpleProxyInfo *info) {
-    g_return_val_if_fail(PURPLE_IS_PROXY_INFO(info), NULL);
+	g_return_val_if_fail(PURPLE_IS_PROXY_INFO(info), NULL);
 
-    return info->hostname;
+	return info->hostname;
 }
 
 void
-purple_proxy_info_set_port(PurpleProxyInfo *info, gint port) {
-    g_return_if_fail(PURPLE_IS_PROXY_INFO(info));
+purple_proxy_info_set_port(PurpleProxyInfo *info, int port) {
+	g_return_if_fail(PURPLE_IS_PROXY_INFO(info));
 
-    info->port = port;
+	info->port = port;
 
-    g_object_notify_by_pspec(G_OBJECT(info), properties[PROP_PORT]);
+	g_object_notify_by_pspec(G_OBJECT(info), properties[PROP_PORT]);
 }
 
-gint
+int
 purple_proxy_info_get_port(PurpleProxyInfo *info) {
-    g_return_val_if_fail(PURPLE_IS_PROXY_INFO(info), 0);
+	g_return_val_if_fail(PURPLE_IS_PROXY_INFO(info), 0);
 
-    return info->port;
+	return info->port;
 }
 
 void
-purple_proxy_info_set_username(PurpleProxyInfo *info, const gchar *username) {
-    g_return_if_fail(PURPLE_IS_PROXY_INFO(info));
+purple_proxy_info_set_username(PurpleProxyInfo *info, const char *username) {
+	g_return_if_fail(PURPLE_IS_PROXY_INFO(info));
 
-    if(g_set_str(&info->username, username)) {
+	if(g_set_str(&info->username, username)) {
 		g_object_notify_by_pspec(G_OBJECT(info), properties[PROP_USERNAME]);
 	}
 }
 
-const gchar *
+const char *
 purple_proxy_info_get_username(PurpleProxyInfo *info) {
-    g_return_val_if_fail(PURPLE_IS_PROXY_INFO(info), NULL);
+	g_return_val_if_fail(PURPLE_IS_PROXY_INFO(info), NULL);
 
-    return info->username;
+	return info->username;
 }
 
 void
-purple_proxy_info_set_password(PurpleProxyInfo *info, const gchar *password) {
-    g_return_if_fail(PURPLE_IS_PROXY_INFO(info));
+purple_proxy_info_set_password(PurpleProxyInfo *info, const char *password) {
+	g_return_if_fail(PURPLE_IS_PROXY_INFO(info));
 
-    if(g_set_str(&info->password, password)) {
+	if(g_set_str(&info->password, password)) {
 		g_object_notify_by_pspec(G_OBJECT(info), properties[PROP_PASSWORD]);
 	}
 }
 
-const gchar *
+const char *
 purple_proxy_info_get_password(PurpleProxyInfo *info) {
-    g_return_val_if_fail(PURPLE_IS_PROXY_INFO(info), NULL);
+	g_return_val_if_fail(PURPLE_IS_PROXY_INFO(info), NULL);
 
-    return info->password;
+	return info->password;
 }
diff --git a/libpurple/purpleproxyinfo.h b/libpurple/purpleproxyinfo.h
--- a/libpurple/purpleproxyinfo.h
+++ b/libpurple/purpleproxyinfo.h
@@ -47,13 +47,13 @@
  * Since: 2.0
  */
 typedef enum {
-    PURPLE_PROXY_TYPE_USE_GLOBAL = -1,
-    PURPLE_PROXY_TYPE_NONE = 0,
-    PURPLE_PROXY_TYPE_HTTP,
-    PURPLE_PROXY_TYPE_SOCKS4,
-    PURPLE_PROXY_TYPE_SOCKS5,
-    PURPLE_PROXY_TYPE_USE_ENVVAR,
-    PURPLE_PROXY_TYPE_TOR
+	PURPLE_PROXY_TYPE_USE_GLOBAL = -1,
+	PURPLE_PROXY_TYPE_NONE = 0,
+	PURPLE_PROXY_TYPE_HTTP,
+	PURPLE_PROXY_TYPE_SOCKS4,
+	PURPLE_PROXY_TYPE_SOCKS5,
+	PURPLE_PROXY_TYPE_USE_ENVVAR,
+	PURPLE_PROXY_TYPE_TOR
 } PurpleProxyType;
 
 G_BEGIN_DECLS
@@ -118,7 +118,7 @@ PurpleProxyType purple_proxy_info_get_pr
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-void purple_proxy_info_set_hostname(PurpleProxyInfo *info, const gchar *hostname);
+void purple_proxy_info_set_hostname(PurpleProxyInfo *info, const char *hostname);
 
 /**
  * purple_proxy_info_get_hostname:
@@ -131,7 +131,7 @@ void purple_proxy_info_set_hostname(Purp
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_proxy_info_get_hostname(PurpleProxyInfo *info);
+const char *purple_proxy_info_get_hostname(PurpleProxyInfo *info);
 
 /**
  * purple_proxy_info_set_port:
@@ -143,7 +143,7 @@ const gchar *purple_proxy_info_get_hostn
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-void purple_proxy_info_set_port(PurpleProxyInfo *info, gint port);
+void purple_proxy_info_set_port(PurpleProxyInfo *info, int port);
 
 /**
  * purple_proxy_info_get_port:
@@ -156,7 +156,7 @@ void purple_proxy_info_set_port(PurplePr
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-gint purple_proxy_info_get_port(PurpleProxyInfo *info);
+int purple_proxy_info_get_port(PurpleProxyInfo *info);
 
 /**
  * purple_proxy_info_set_username:
@@ -168,7 +168,7 @@ gint purple_proxy_info_get_port(PurplePr
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-void purple_proxy_info_set_username(PurpleProxyInfo *info, const gchar *username);
+void purple_proxy_info_set_username(PurpleProxyInfo *info, const char *username);
 
 /**
  * purple_proxy_info_get_username:
@@ -181,7 +181,7 @@ void purple_proxy_info_set_username(Purp
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-const gchar *purple_proxy_info_get_username(PurpleProxyInfo *info);
+const char *purple_proxy_info_get_username(PurpleProxyInfo *info);
 
 /**
  * purple_proxy_info_set_password:
@@ -193,7 +193,7 @@ const gchar *purple_proxy_info_get_usern
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-void purple_proxy_info_set_password(PurpleProxyInfo *info, const gchar *password);
+void purple_proxy_info_set_password(PurpleProxyInfo *info, const char *password);
 
 /**
  * purple_proxy_info_get_password:
@@ -206,7 +206,7 @@ void purple_proxy_info_set_password(Purp
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-const gchar *purple_proxy_info_get_password(PurpleProxyInfo *info);
+const char *purple_proxy_info_get_password(PurpleProxyInfo *info);
 
 G_END_DECLS
 
